
  ---------------------------------
  -- INIT
  ---------------------------------

  --get the addon namespace
  local addon, ns = ...
  --get rBBS namespace
  local rBBS = ns.rBBS or rBBS
  --get the cfg
  local cfg = ns.cfg

  ---------------------------------
  -- SPAWN
  ---------------------------------

  --spawn the drag frame
  local dragframe = rBBS:spawnDragFrame(addon, cfg.dragframe)
  --spawn angel
  rBBS:spawnFrame(addon, cfg.angel, dragframe)
  --spawn demon
  rBBS:spawnFrame(addon, cfg.demon, dragframe)
  --spawn sidebar right background
  rBBS:spawnFrame(addon, cfg.sidebarrightbg, dragframe)
    --spawn sidebar left background
  rBBS:spawnFrame(addon, cfg.sidebarleftbg, dragframe)
  --spawn health orb
  rBBS:spawnHealthOrb(addon, cfg.healthorb, dragframe)
  --spawn power orb
  rBBS:spawnPowerOrb(addon, cfg.powerorb, dragframe)
